#! make -f
#----------------------------------------------------------------------------
# Project:  Manual 2D Library - demos - m2d - simple
# File:     Makefile
#
# Copyright (C)2007-2009 Nintendo  All Rights Reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Revision: 1758 $
#----------------------------------------------------------------------------

TWL_NANDAPP		=	TRUE

TARGET_PLATFORM	:= TWL
TWL_ARCHGEN		:= LIMITED

SRCS		=	main.c loader.c
TARGET_BIN	=	simple.tad

MAKEROM_ROMROOT  = ./
MAKEROM_ROMFILES = data/*

UI_RESOURCE	= m2dres_narc.blz

ROM_SPEC		=	demo.rsf

#----------------------------------------------------------------------------

include	$(TWLMANUALTOOLS_ROOT)/build/buildtools/commondefs


do-build: $(TARGETS)

$(TARGETS): data/$(UI_RESOURCE) $(addprefix data/font/,$(FONT_RESOURCE))

data/$(UI_RESOURCE): $(TWLMANUALTOOLS_CYG_ROOT)/data/$(UI_RESOURCE)
	$(call DO_INSTALL_FILES,$(@D),$<)


include	$(TWLMANUALTOOLS_ROOT)/build/buildtools/modulerules


#===== End of Makefile =====
